import { JwtPayload } from './jwt-payload.class';
import { VerifiablePresentationAttribute } from './verifiable-presentation-attribute.class';
/**
 * Representation of Verifiable Presentation Payload according to w3c spec.
 */
export declare class VpPayload extends JwtPayload {
    /**
     * Maps json into JwtPayload object.
     *
     * @param json - payload representation
     */
    static payloadFromJson(json: any): JwtPayload;
    aud?: string;
    vp: VerifiablePresentationAttribute;
    constructor(issuer: string, verifiablePresentation: VerifiablePresentationAttribute, issuanceDate?: number, audience?: string, verifiableAttributeId?: string, expirationDate?: Date);
    protected payloadToJSON(): any;
}
